Skip to main content
`Ctrl`+`K`

# PetscCitationsRegister

Register a bibtex item to obtain credit for an implemented algorithm used in the code.

## Synopsis

    static inline PetscErrorCode PetscCitationsRegister(const char cit[], PetscBool *set)

Not Collective; No Fortran Support

## Input Parameters

- cite - the bibtex item, formatted to displayed on multiple lines nicely

- set - a boolean variable initially set to `PETSC_FALSE`; this is used to insure only a single registration of the citation

## Options Database Key

- -citations [filename] - print out the bibtex entries for the given computation

## Level

intermediate

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages